GET
/detector-models/{detectorModelName}/versions
http://iotevents.{region}.amazonaws.com/detector-models/{detectorModelName}/versionsLists all the versions of a detector model. Only the metadata associated with each detector model version is returned.
Access Token Required: API Key
Path Parameters
detectorModelNamestringrequired
The name of the detector model whose versions are returned.
Query Params
nextTokenstring
The token that you can use to return the next set of results.
maxResultsinteger
The maximum number of results to be returned per request.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://iotevents.{region}.amazonaws.com/detector-models/{detectorModelName}/versions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}